/*
 * @(#)XAttrNS.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.fob.xml;

import org.w3c.dom.*;

import org.apache.xerces.dom.DocumentImpl;
import org.apache.xerces.dom.AttrNSImpl;

import jp.co.iti.fagot.fob.FobManager;

import jp.co.iti.fagot.util.ZDebug;
/**
 * エレメント
 *
 * @author  福島康治
 * @version 1.01 2001/03/22
 */
public class XAttrNS extends AttrNSImpl {

	/**
	 * コンストラクタ
	 */
	protected XAttrNS (DocumentImpl owner, String ns, String name) {
	super(owner,ns,name);
	}

	//## オーバライド：ドキュメント操作 ###############################
	/**
	 * 挿入
	 */
    public Node insertBefore(Node newChild, Node refChild) throws DOMException {
	ZDebug.trace("insert:"+newChild.toString());
	return super.insertBefore(newChild,refChild);
	}

	/**
	 * 削除
	 */
    public Node removeChild(Node oldChild) throws DOMException {
	ZDebug.trace("remove:"+oldChild.toString());
	return super.removeChild(oldChild);
	}

	/**
	 * 置換
	 */
    public Node replaceChild(Node newChild, Node oldChild) throws DOMException {
	ZDebug.trace("remove:"+oldChild.toString());
	return super.removeChild(oldChild);
	}

	//## オーバライド：値 ############################################
	/**
	 * 値の設定
	 */
    public void setValue(String newvalue) {
	ZDebug.trace("setValue:"+newvalue);
	super.setValue(newvalue);
	}

	//## アトリビュート################################################
}
